# 定投交易历史

`GET` `/v1/dailycoins/query-records`

:::warning 仅支持 Longbridge 香港 / 新加坡账户
此方法仅支持 Longbridge 香港 / 新加坡账户，可操作任意标的，包括美股。
:::

获取指定定投的执行历史，包含交易日期、金额和价格。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `plan_id` | string | Yes | 定投计划 ID。 |
| `page` | integer | Yes | 页码，从 `1` 开始。 |
| `size` | integer | Yes | 每页记录数。 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/dailycoins/query-records?plan_id=<plan_id>&page=<page>&size=<size>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `records` | object[] | Yes | 执行记录列表， |
| `└ symbol` | string | Yes | 证券代码 |
| `└ order_id` | string | No | 关联订单 ID |
| `└ status` | string | No | 执行状态 |
| `└ action` | string | No | 操作类型 |
| `└ order_type` | string | No | 订单类型 |
| `└ executed_qty` | string | No | 成交数量 |
| `└ executed_price` | string | No | 成交价格 |
| `└ executed_amount` | string | No | 成交金额 |
| `└ rejected_reason` | string | No | 拒绝原因（如有） |
| `└ created_at` | string | No | 执行时间 |
| `has_more` | boolean | No | 是否有更多记录 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "has_more": false,
    "records": [
      {
        "symbol": "AAPL.US",
        "order_id": "123456",
        "status": "Filled",
        "action": "Buy",
        "order_type": "Market",
        "executed_qty": "1",
        "executed_price": "180.50",
        "executed_amount": "180.50",
        "created_at": "1763769600",
        "rejected_reason": ""
      }
    ]
  }
}
```
